This discussion is archived
3 Replies Latest reply: Oct 27, 2011 2:22 PM by 896595 RSS

Oracle WebCenter Interaction 10.3.0 Installation and start up error

580797 Newbie
Currently Being Moderated
Hi,
I am trying to install the Java version of Oracle WCI 10.3.0 on Windows 7. I know Windows 7 of not officially supported. I was able to successfully install on Windows XP using the installation wizard.

However, for Windows 7 - I can't use installation wizard because when the wizard does not ask me to choose between Java and .NET installations, and by default it selects .NET. So, I had to use silent installation and was able to successfully install.

I am getting the below error (logs from portalserver.log) when I try to start the WebLogic server or run the portal diagnostic tool.

'weblogic.kernel.Default (self-tuning)'     com.plumtree.uiinfrastructure.diagnostic.reporter.Reporter     FAILED TO INITIALIZE SYSTEM. YOU CANNOT PROGRESS BEYOND THIS POINT. <ptLogMsgEnd>
9-25-2011     20:12:04.664     Error     UI_Infrastructure     portal.CNU008092S-W7.kota.s     [ACTIVE] ExecuteThread: '0' for queue: 'weblogic.kernel.Default (self-tuning)'     com.plumtree.uiinfrastructure.application.startup.CheckDevKit     Aqualogic Interaction's UI Infrastructure does NOT support this version: The detected Java JDK version is: 1.6.0_22 <ptLogMsgEnd>

Does anyone have seen this type of error and know how to resolve?

Thanks.
  • 1. Re: Oracle WebCenter Interaction 10.3.0 Installation and start up error
    geoff garcia Oracle ACE
    Currently Being Moderated
    It looks like you are using an unsupported JDK.

    The supported version is:
    "Oracle-BEA WebLogic 9.2 MP1 with Sun JRE 1.5.0.1 or Oracle jRockit 1.5.0.12"
    http://download.oracle.com/docs/cd/E13158_01/alui/wci/docs103/pdf/map_WCI_win_installguide_10-3.pdf

    Try uninstalling your current version and using something in the 1.5 range.

    user577794 wrote:
    Hi,
    I am trying to install the Java version of Oracle WCI 10.3.0 on Windows 7. I know Windows 7 of not officially supported. I was able to successfully install on Windows XP using the installation wizard.

    However, for Windows 7 - I can't use installation wizard because when the wizard does not ask me to choose between Java and .NET installations, and by default it selects .NET. So, I had to use silent installation and was able to successfully install.

    I am getting the below error (logs from portalserver.log) when I try to start the WebLogic server or run the portal diagnostic tool.

    'weblogic.kernel.Default (self-tuning)'     com.plumtree.uiinfrastructure.diagnostic.reporter.Reporter     FAILED TO INITIALIZE SYSTEM. YOU CANNOT PROGRESS BEYOND THIS POINT. <ptLogMsgEnd>
    9-25-2011     20:12:04.664     Error     UI_Infrastructure     portal.CNU008092S-W7.kota.s     [ACTIVE] ExecuteThread: '0' for queue: 'weblogic.kernel.Default (self-tuning)'     com.plumtree.uiinfrastructure.application.startup.CheckDevKit     Aqualogic Interaction's UI Infrastructure does NOT support this version: The detected Java JDK version is: 1.6.0_22 <ptLogMsgEnd>

    Does anyone have seen this type of error and know how to resolve?

    Thanks.
  • 2. Re: Oracle WebCenter Interaction 10.3.0 Installation and start up error
    846766 Newbie
    Currently Being Moderated
    I have been dealing with this for the past 2 weeks as well. It turns out that the diagnostics, and Weblogic (in my case) think that the portal is trying to run on an unsupported RedHat OS version. I was able to get around this by altering the following 2 files...

    I added the parameter: -Dos.name="windows 2003" This tels the OS check that it's running on Windows 2003. I found this little tip in the following link: http://www.function1.com/2009/12/running-wci-10gr3-on-windows-2008/ It talks about Windows 2008, but seems to work for Windows 7 as well.

    D:\oracle\Middleware\user_projects\domains\wc_domain\bin\startWebLogic.cmd
    if "%WLS_REDIRECT_LOG%"=="" (
         echo Starting WLS with line:
         echo %JAVA_HOME%\bin\java %JAVA_VM% %MEM_ARGS% -Dweblogic.Name=%SERVER_NAME% -Djava.security.policy=%WL_HOME%\server\lib\weblogic.policy %JAVA_OPTIONS% %PROXY_SETTINGS% %SERVER_CLASS%
         %JAVA_HOME%\bin\java %JAVA_VM% %MEM_ARGS% -Dos.name="windows 2003" -Dweblogic.Name=%SERVER_NAME% -Djava.security.policy=%WL_HOME%\server\lib\weblogic.policy %JAVA_OPTIONS% %PROXY_SETTINGS% %SERVER_CLASS%
    ) else (
         echo Redirecting output from WLS window to %WLS_REDIRECT_LOG%
         %JAVA_HOME%\bin\java %JAVA_VM% %MEM_ARGS% -Dos.name="windows 2003" -Dweblogic.Name=%SERVER_NAME% -Djava.security.policy=%WL_HOME%\server\lib\weblogic.policy %JAVA_OPTIONS% %PROXY_SETTINGS% %SERVER_CLASS% >"%WLS_REDIRECT_LOG%" 2>&1
    )

    - And -
    D:\oracle\wci\ptportal\10.3.0\bin\diagnostic.bat
    rem Start the command-line version tool
    "%PT_HOME%\%JRE_PATH%\bin\java.exe" -Dos.name="windows 2003" -Xms16m -Xmx512m -cp "%LIB_DIR%\diagrun.jar" com.plumtree.diagtool.diagnostic_net %*
    goto end

    Also, note that you probably had to install the components in silent mode. This did not install all the services correctly. I was able to get around this by going back into the installation, and choosing the individual components to install. The a link above also mentions the config manager, and how to get this working as well.

    Hope this helps!!
  • 3. Re: Oracle WebCenter Interaction 10.3.0 Installation and start up error
    896595 Newbie
    Currently Being Moderated
    I've noticed that it's not entirely required to run the install in silent mode on a Windows7 machine. Instead, you can simply set the Compatibility mode on the install executable to WindowsXP (right-click->Properties->Compatibility). This will allow you to choose a Java install as well as all of the other options.

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points